ubuntu_zram_smoke_test will generate a huge output file and choking jenkins

Bug #1787076 reported by Po-Hsu Lin on 2018-08-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
High
Colin Ian King

Bug Description

[~/test-results/4.4.0-132.158~14.04.1-generic]
$ du -sh * |grep G
1.5G ms10-34-mcdivittB0-kernel__4.4.0-132.158~14.04.1__2018-08-14_10-01-00
6.2G ms10-35-mcdivittB0-kernel__4.4.0-132.158~14.04.1__2018-08-03_23-53-00

[~/test-results/4.4.0-132.158~14.04.1-generic/ms10-35-mcdivittB0-kernel__4.4.0-132.158~14.04.1__2018-08-03_23-53-00]
$ du -sh * |grep G
6.2G ubuntu_zram_smoke_test

[~/test-results/4.4.0-132.158~14.04.1-generic/ms10-35-mcdivittB0-kernel__4.4.0-132.158~14.04.1__2018-08-03_23-53-00/ubuntu_zram_smoke_test/results/ubuntu_zram_smoke_test.zram-smoke-test/mnt]
$ du -sh *
512 lost+found
6.2G test

Po-Hsu Lin (cypressyew) on 2018-08-15
Changed in ubuntu-kernel-tests:
importance: Undecided → High
Changed in ubuntu-kernel-tests:
assignee: nobody → Colin Ian King (colin-king)
status: New → In Progress
Colin Ian King (colin-king) wrote :

FYI, ~/test-results/4.4.0-132.158~14.04.1-generic/ms10-35-mcdivittB0-kernel__4.4.0-132.158~14.04.1__2018-08-03_23-53-00/ubuntu_zram_smoke_test/results/ubuntu_zram_smoke_test.zram-smoke-test/mnt is mounted on /dev/zram0 and is on a memory based zram file system.

The test will populate the file system on /dev/zram0. Is the test crashing or timing out?

Colin Ian King (colin-king) wrote :

Ah, I see the issue, it's not being umounted for some weird reason. I can debug and fix this now I can see why it's an issue.

Colin Ian King (colin-king) wrote :

sudo umount /dev/zram0
umount: /home/ubuntu/autotest/client/results/default/ubuntu_zram_smoke_test.zram-smoke-test/mnt: target is busy.

..so the umount is failing, hence leaving the file system populated with a large file that consumes memory. Sigh.

Colin Ian King (colin-king) wrote :

We have a kernel thread blocked,

root 2880 2 0 08:31 ? 00:00:00 [jbd2/zram0-8] .. and I can't umount the file system.

Colin Ian King (colin-king) wrote :

09:00:26 ERROR| [stderr] + sync
09:07:58 INFO | Timer expired (1200 sec.), nuking pid 3106

OK - so it looks like the test was being killed and it's not cleaned up properly.

Colin Ian King (colin-king) wrote :

Fix sent, should be committed by EOD

Colin Ian King (colin-king) wrote :

@Sam, is this now working OK? If so, can we close this bug?

Po-Hsu Lin (cypressyew) wrote :

Hi Colin,
the patch was not accepted yet.

Colin Ian King (colin-king) wrote :

Based on Sam's reply:

<PHLin> cking, the zram test looks good

..I'm marking this as fixed.

Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers